#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, k;
    cin >> n >> k;

    int a[n];
    for(int i = 0; i < n; i++)
        cin >> a[i];
    
    int indeks = 0;
    for(int i = 0; i < n; i++)
    {
        if(k == a[i])
        {
            indeks = i;
            break;
        }
    }
    indeks = (indeks + 1) % n;
    cout << a[indeks];
    return 0;
}